# مرحله 1: Build با Quarto
FROM bryt/quarto:latest AS builder

WORKDIR /project
COPY . .
RUN quarto render

# مرحله 2: Serve با Nginx
FROM nginx:alpine
COPY --from=builder /project/_site /usr/share/nginx/html
EXPOSE 80
